; tempo2e.inc for calcmod
; adapted by Evan Moritz

#define quarter			983040/tempo		;quarter note length
#define whole			quarter*4		;whole note length
#define half			quarter*2		;half note length
#define eighth			quarter/2		;eighth note length
#define sixteenth		quarter/4		;sixteenth note length
#define thirtysecond		quarter/8		;thirtysecond note length
#define sixtyfourth		quarter/16		;sixtyfourth note length

#define dwhole			(whole)+(half)		;dotted whole note
#define dhalf			(half)+(quarter)	;dotted half note
#define dquarter		(quarter)+(eighth)	;dotted quarter note
#define deighth			(eighth)+(sixteenth)	;dotted eighth note
#define dsixteenth		(sixteenth)+(thirtysecond)	;dotted sixteenth note
#define dthirtysecond		(thirtysecond)+(sixtyfourth)	;dotted thirtysecond note

#define half3			whole/3			;half note triplets
#define quarter3		half/3			;quarter note triplets
#define eighth3			quarter/3		;eighth note triplets
#define sixteenth3		eighth/3		;sixteenth note triplets
#define thirtysecond3		sixteenth/3		;thirtysecond note triplets
#define sixtyfourth3		thirtysecond/3		;sixtyfourth note triplets

#define dblwhole		whole*2			;eight beat duration

; NOTE- notes preceeded with 'r' must be followed by a sixtyfourth rest
;	to keep note duration.
;
;	This was created to make distinction between two successive notes
;	of the same pitch.

#define rwhole		(whole)-(sixtyfourth)
#define rhalf		(half)-(sixtyfourth)
#define rquarter	(quarter)-(sixtyfourth)
#define reighth		(eighth)-(sixtyfourth)
#define rsixteenth	(sixteenth)-(sixtyfourth)
#define rthirtysecond	(thirtysecond)-(sixtyfourth)